Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class BlinkIdMultiSideRecognizer.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result
com.microblink.blinkid.entities.recognizers.Recognizer.Result
com.microblink.blinkid.entities.recognizers.blinkid.generic.BlinkIdMultiSideRecognizer.Result

All Implemented Interfaces:
  `android.os.Parcelable`, `CombinedResult`, `ClassInfoResult`, `CombinedFullDocumentImageResult`, `EncodedCombinedFullDocumentImageResult`, `EncodedFaceImageResult`, `EncodedSignatureImageResult`, `FaceImageResult`, `SignatureImageResult`, `ProcessingStatusResult`

Enclosing class:
  BlinkIdMultiSideRecognizer

public static final class BlinkIdMultiSideRecognizer.Result extends Recognizer.Result implements CombinedResult, FaceImageResult, EncodedFaceImageResult, CombinedFullDocumentImageResult, EncodedCombinedFullDocumentImageResult, SignatureImageResult, EncodedSignatureImageResult, ProcessingStatusResult, ClassInfoResult

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `Recognizer.Result.State`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<BlinkIdMultiSideRecognizer.Result>`
  `CREATOR`

  ### Fields inherited from class com.microblink.blinkid.entities.Entity.Result

  `mOwner`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.CombinedFullDocumentImageResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.CombinedResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.EncodedCombinedFullDocumentImageResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.EncodedFaceImageResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.EncodedSignatureImageResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.FaceImageResult

  `CLASS_NAME`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.ProcessingStatusResult

  `CLASS_NAME`

  ### Fields inherited from interface com.microblink.blinkid.entities.recognizers.blinkid.imageresult.SignatureImageResult

  `CLASS_NAME`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlinkIdMultiSideRecognizer.Result`
  `clone()`
  Create a copy of the result.
  `protected void`
  `deserializeFromByteArray(byte[] arr)`
  `StringResult`
  `getAdditionalAddressInformation()`
  The additional address information of the document owner.
  `StringResult`
  `getAdditionalNameInformation()`
  The additional name information of the document owner.
  `StringResult`
  `getAdditionalOptionalAddressInformation()`
  The one more additional address information of the document owner.
  `StringResult`
  `getAddress()`
  The address of the document owner.
  `int`
  `getAge()`
  The current age of the document owner in years.
  `AgeLimitStatus`
  `getAgeLimitStatus(int ageLimit)`
  Calculates whether the document owner is older than the given `ageLimit` in years or not.
  `AdditionalProcessingInfo`
  `getBackAdditionalProcessingInfo()`
  Additional info on processing of the back side.
  `Image`
  `getBackCameraFrame()`
  Back camera frame.
  `ImageAnalysisResult`
  `getBackImageAnalysisResult()`
  Image analysis result for the scanned document back side image
  `ProcessingStatus`
  `getBackProcessingStatus()`
  Status of the last back side recognition process.
  `VizResult`
  `getBackVizResult()`
  The data extracted from the back side visual inspection zone.
  `Image`
  `getBarcodeCameraFrame()`
  Barcode camera frame.
  `BarcodeResult`
  `getBarcodeResult()`
  The data extracted from the barcode.
  `StringResult`
  `getBloodType()`
  The blood type of the document owner.
  `ClassInfo`
  `getClassInfo()`
  The document class information.
  `DataMatchResult`
  `getDataMatch()`
  Info on whether the data extracted from front image matches the data extracted from the back image.
  `DateResult`
  `getDateOfBirth()`
  The date of birth of the document owner.
  `DateResult`
  `getDateOfExpiry()`
  The date of expiry of the document.
  `DateResult`
  `getDateOfIssue()`
  The date of issue of the document.
  `DependentInfo[]`
  `getDependentsInfo()`
  The dependents info.
  `StringResult`
  `getDocumentAdditionalNumber()`
  The additional number of the document.
  `StringResult`
  `getDocumentNumber()`
  The document number.
  `StringResult`
  `getDocumentOptionalAdditionalNumber()`
  The one more additional number of the document.
  `StringResult`
  `getDocumentSubtype()`
  The transcription of the document subtype.
  `DriverLicenseDetailedInfo`
  `getDriverLicenseDetailedInfo()`
  The driver license detailed info.
  `StringResult`
  `getEligibilityCategory()`
  The eligibility category.
  `StringResult`
  `getEmployer()`
  The employer of the document owner.
  `byte[]`
  `getEncodedBackFullDocumentImage()`
  `byte[]`
  `getEncodedFaceImage()`
  `byte[]`
  `getEncodedFrontFullDocumentImage()`
  `byte[]`
  `getEncodedSignatureImage()`
  `Image`
  `getFaceImage()`
  `Rectangle`
  `getFaceImageLocation()`
  The face image location.
  `Side`
  `getFaceImageSide()`
  Side of the card of the face image.
  `StringResult`
  `getFathersName()`
  The fathers name of the document owner.
  `StringResult`
  `getFirstName()`
  The first name of the document owner.
  `AdditionalProcessingInfo`
  `getFrontAdditionalProcessingInfo()`
  Additional info on processing of the front side.
  `Image`
  `getFrontCameraFrame()`
  Front camera frame.
  `ImageAnalysisResult`
  `getFrontImageAnalysisResult()`
  Image analysis result for the scanned document front side image
  `ProcessingStatus`
  `getFrontProcessingStatus()`
  Status of the last front side recognition process.
  `VizResult`
  `getFrontVizResult()`
  The data extracted from the front side visual inspection zone.
  `Image`
  `getFullDocumentBackImage()`
  `Image`
  `getFullDocumentFrontImage()`
  `StringResult`
  `getFullName()`
  The full name of the document owner.
  `StringResult`
  `getIssuingAuthority()`
  The issuing authority of the document.
  `StringResult`
  `getLastName()`
  The last name of the document owner.
  `StringResult`
  `getLocalizedName()`
  The localized name of the document owner.
  `StringResult`
  `getManufacturingYear()`
  The manufacturing year.
  `StringResult`
  `getMaritalStatus()`
  The marital status of the document owner.
  `StringResult`
  `getMothersName()`
  The mothers name of the document owner.
  `MrzResult`
  `getMrzResult()`
  The data extracted from the machine readable zone.
  `StringResult`
  `getNationality()`
  The nationality of the documet owner.
  `StringResult`
  `getPersonalIdNumber()`
  The personal identification number.
  `StringResult`
  `getPlaceOfBirth()`
  The place of birth of the document owner.
  `ProcessingStatus`
  `getProcessingStatus()`
  Status of the last recognition process.
  `StringResult`
  `getProfession()`
  The profession of the document owner.
  `StringResult`
  `getRace()`
  The race of the document owner.
  `RecognitionMode`
  `getRecognitionMode()`
  Recognition mode used to scan current document.
  `StringResult`
  `getReligion()`
  The religion of the document owner.
  `StringResult`
  `getRemarks()`
  The remarks on the residence permit.
  `StringResult`
  `getResidencePermitType()`
  The residence permit type.
  `StringResult`
  `getResidentialStatus()`
  The residential stauts of the document owner.
  `StringResult`
  `getSex()`
  The sex of the document owner.
  `Image`
  `getSignatureImage()`
  `StringResult`
  `getSpecificDocumentValidity()`
  he specific document validity.
  `StringResult`
  `getSponsor()`
  The sponsor of the document owner.
  `StringResult`
  `getVehicleType()`
  The vehicle type.
  `StringResult`
  `getVisaType()`
  The visa type of the document.
  `boolean`
  `isBarcodeStepUsed()`
  Indicates whether the barcode scanning step was utilized during the process.
  `boolean`
  `isDateOfExpiryPermanent()`
  Determines if date of expiry is permanent.
  `boolean`
  `isExpired()`
  Checks whether the document has expired or not by comparing the current time on the device with the date of expiry.
  `boolean`
  `isScanningFirstSideDone()`
  `protected byte[]`
  `serializeToByteArray()`
  `protected void`
  `terminateNative(long nativeContext)`
  `String`
  `toString()`

  ### Methods inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `getResultState, isEmpty`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity.Result

  `describeContents, finalize, getNativeContext, readFromParcel, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<BlinkIdMultiSideRecognizer.Result> CREATOR

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult)

- ## Method Details

  - ### getFrontImageAnalysisResult

    @NonNull public ImageAnalysisResult getFrontImageAnalysisResult()
    Image analysis result for the scanned document front side image

  - ### getAdditionalOptionalAddressInformation

    @Nullable public StringResult getAdditionalOptionalAddressInformation()
    The one more additional address information of the document owner.

  - ### getFathersName

    @Nullable public StringResult getFathersName()
    The fathers name of the document owner.

  - ### getDocumentNumber

    @Nullable public StringResult getDocumentNumber()
    The document number.

  - ### getDocumentOptionalAdditionalNumber

    @Nullable public StringResult getDocumentOptionalAdditionalNumber()
    The one more additional number of the document.

  - ### getSpecificDocumentValidity

    @Nullable public StringResult getSpecificDocumentValidity()
    he specific document validity.

  - ### getFrontProcessingStatus

    @NonNull public ProcessingStatus getFrontProcessingStatus()
    Status of the last front side recognition process.

  - ### getBarcodeCameraFrame

    @Nullable public Image getBarcodeCameraFrame()
    Barcode camera frame.

  - ### getAdditionalAddressInformation

    @Nullable public StringResult getAdditionalAddressInformation()
    The additional address information of the document owner.

  - ### getEmployer

    @Nullable public StringResult getEmployer()
    The employer of the document owner.

  - ### getDependentsInfo

    @NonNull public DependentInfo[] getDependentsInfo()
    The dependents info.

  - ### getVehicleType

    @Nullable public StringResult getVehicleType()
    The vehicle type.

  - ### getBackAdditionalProcessingInfo

    @NonNull public AdditionalProcessingInfo getBackAdditionalProcessingInfo()
    Additional info on processing of the back side.

  - ### getProfession

    @Nullable public StringResult getProfession()
    The profession of the document owner.

  - ### getEncodedFrontFullDocumentImage

    @NonNull public byte[] getEncodedFrontFullDocumentImage()
    Specified by:
      `getEncodedFrontFullDocumentImage` in interface `EncodedCombinedFullDocumentImageResult`
    Returns:
      encoded full document image from the front side in JPEG format if enabled with `EncodeFullDocumentImagesOptions.setEncodeFullDocumentImage(boolean)` , else `null`

  - ### getClassInfo

    @NonNull public ClassInfo getClassInfo()
    The document class information.
    Specified by:
      `getClassInfo` in interface `ClassInfoResult`

  - ### getDateOfExpiry

    @Nullable public DateResult getDateOfExpiry()
    The date of expiry of the document.

  - ### getLocalizedName

    @Nullable public StringResult getLocalizedName()
    The localized name of the document owner.

  - ### getBackVizResult

    @NonNull public VizResult getBackVizResult()
    The data extracted from the back side visual inspection zone.

  - ### isBarcodeStepUsed

    public boolean isBarcodeStepUsed()
    Indicates whether the barcode scanning step was utilized during the process. If the barcode scanning step was executed: a parsable barcode image will be stored in the `barcodeCameraFrame`. If the barcode scanning step was not executed: a parsable barcode image will be stored in the `fullDocumentImage`.

  - ### getMrzResult

    @NonNull public MrzResult getMrzResult()
    The data extracted from the machine readable zone.

  - ### getFullDocumentBackImage

    @Nullable public Image getFullDocumentBackImage()
    Specified by:
      `getFullDocumentBackImage` in interface `CombinedFullDocumentImageResult`
    Returns:
      back side image of the document if enabled with `FullDocumentImageOptions.setReturnFullDocumentImage(boolean)`, else `null`

  - ### getProcessingStatus

    @NonNull public ProcessingStatus getProcessingStatus()
    Description copied from interface: `ProcessingStatusResult`
    Status of the last recognition process.
    Specified by:
      `getProcessingStatus` in interface `ProcessingStatusResult`

  - ### getFirstName

    @Nullable public StringResult getFirstName()
    The first name of the document owner.

  - ### getDocumentSubtype

    @Nullable public StringResult getDocumentSubtype()
    The transcription of the document subtype.

  - ### isScanningFirstSideDone

    public boolean isScanningFirstSideDone()
    Specified by:
      `isScanningFirstSideDone` in interface `CombinedResult`
    Returns:
      `true` if recognizer has finished scanning first side and is now scanning back side, `false` if it's still scanning first side.

  - ### getNationality

    @Nullable public StringResult getNationality()
    The nationality of the documet owner.

  - ### getAdditionalNameInformation

    @Nullable public StringResult getAdditionalNameInformation()
    The additional name information of the document owner.

  - ### getMothersName

    @Nullable public StringResult getMothersName()
    The mothers name of the document owner.

  - ### getMaritalStatus

    @Nullable public StringResult getMaritalStatus()
    The marital status of the document owner.

  - ### getLastName

    @Nullable public StringResult getLastName()
    The last name of the document owner.

  - ### getSponsor

    @Nullable public StringResult getSponsor()
    The sponsor of the document owner.

  - ### getDriverLicenseDetailedInfo

    @NonNull public DriverLicenseDetailedInfo getDriverLicenseDetailedInfo()
    The driver license detailed info.

  - ### getPersonalIdNumber

    @Nullable public StringResult getPersonalIdNumber()
    The personal identification number.

  - ### getEncodedFaceImage

    @NonNull public byte[] getEncodedFaceImage()
    Specified by:
      `getEncodedFaceImage` in interface `EncodedFaceImageResult`
    Returns:
      encoded face image in JPEG from the document if enabled with `EncodeFaceImageOptions.setEncodeFaceImage(boolean)` , else `null`

  - ### getBloodType

    @Nullable public StringResult getBloodType()
    The blood type of the document owner.

  - ### getFaceImage

    @Nullable public Image getFaceImage()
    Specified by:
      `getFaceImage` in interface `FaceImageResult`
    Returns:
      face image from the document if enabled with `FaceImageOptions.setReturnFaceImage(boolean)`, else `null`

  - ### getEncodedSignatureImage

    @NonNull public byte[] getEncodedSignatureImage()
    Specified by:
      `getEncodedSignatureImage` in interface `EncodedSignatureImageResult`
    Returns:
      encoded signature in JPEG from the document if enabled with `EncodeSignatureImageOptions.setEncodeSignatureImage(boolean)` , else `null`

  - ### getFrontCameraFrame

    @Nullable public Image getFrontCameraFrame()
    Front camera frame.

  - ### getFullDocumentFrontImage

    @Nullable public Image getFullDocumentFrontImage()
    Specified by:
      `getFullDocumentFrontImage` in interface `CombinedFullDocumentImageResult`
    Returns:
      front side image of the document if enabled with `FullDocumentImageOptions.setReturnFullDocumentImage(boolean)`, else `null`

  - ### getEligibilityCategory

    @Nullable public StringResult getEligibilityCategory()
    The eligibility category.

  - ### isDateOfExpiryPermanent

    public boolean isDateOfExpiryPermanent()
    Determines if date of expiry is permanent.

  - ### getResidentialStatus

    @Nullable public StringResult getResidentialStatus()
    The residential stauts of the document owner.

  - ### getBackCameraFrame

    @Nullable public Image getBackCameraFrame()
    Back camera frame.

  - ### getBarcodeResult

    @NonNull public BarcodeResult getBarcodeResult()
    The data extracted from the barcode.

  - ### getPlaceOfBirth

    @Nullable public StringResult getPlaceOfBirth()
    The place of birth of the document owner.

  - ### getAddress

    @Nullable public StringResult getAddress()
    The address of the document owner.

  - ### getResidencePermitType

    @Nullable public StringResult getResidencePermitType()
    The residence permit type.

  - ### getManufacturingYear

    @Nullable public StringResult getManufacturingYear()
    The manufacturing year.

  - ### getRace

    @Nullable public StringResult getRace()
    The race of the document owner.

  - ### getEncodedBackFullDocumentImage

    @NonNull public byte[] getEncodedBackFullDocumentImage()
    Specified by:
      `getEncodedBackFullDocumentImage` in interface `EncodedCombinedFullDocumentImageResult`
    Returns:
      encoded full document image from the back side in JPEG format if enabled with `EncodeFullDocumentImagesOptions.setEncodeFullDocumentImage(boolean)` , else `null`

  - ### getRecognitionMode

    @NonNull public RecognitionMode getRecognitionMode()
    Recognition mode used to scan current document.

  - ### getSex

    @Nullable public StringResult getSex()
    The sex of the document owner.

  - ### getFullName

    @Nullable public StringResult getFullName()
    The full name of the document owner.

  - ### getBackProcessingStatus

    @NonNull public ProcessingStatus getBackProcessingStatus()
    Status of the last back side recognition process.

  - ### getDateOfBirth

    @Nullable public DateResult getDateOfBirth()
    The date of birth of the document owner.

  - ### getDocumentAdditionalNumber

    @Nullable public StringResult getDocumentAdditionalNumber()
    The additional number of the document.

  - ### getDataMatch

    @NonNull public DataMatchResult getDataMatch()
    Info on whether the data extracted from front image matches the data extracted from the back image.

  - ### getDateOfIssue

    @Nullable public DateResult getDateOfIssue()
    The date of issue of the document.

  - ### getVisaType

    @Nullable public StringResult getVisaType()
    The visa type of the document.

  - ### getReligion

    @Nullable public StringResult getReligion()
    The religion of the document owner.

  - ### getBackImageAnalysisResult

    @NonNull public ImageAnalysisResult getBackImageAnalysisResult()
    Image analysis result for the scanned document back side image

  - ### getIssuingAuthority

    @Nullable public StringResult getIssuingAuthority()
    The issuing authority of the document.

  - ### getFrontVizResult

    @NonNull public VizResult getFrontVizResult()
    The data extracted from the front side visual inspection zone.

  - ### getSignatureImage

    @Nullable public Image getSignatureImage()
    Specified by:
      `getSignatureImage` in interface `SignatureImageResult`
    Returns:
      signature image from the document if enabled with `SignatureImageOptions.setReturnSignatureImage(boolean)`, else `null`

  - ### getFaceImageSide

    @Nullable public Side getFaceImageSide()
    Side of the card of the face image.

  - ### getRemarks

    @Nullable public StringResult getRemarks()
    The remarks on the residence permit.

  - ### getFrontAdditionalProcessingInfo

    @NonNull public AdditionalProcessingInfo getFrontAdditionalProcessingInfo()
    Additional info on processing of the front side.

  - ### getFaceImageLocation

    @Nullable public Rectangle getFaceImageLocation()
    The face image location.

  - ### getAge

    public int getAge()
    The current age of the document owner in years. It is calculated difference between now and date of birth. Now is current time on the device.
    Returns:
      current age of the document owner in years or `-1` if date of birth is unknown.

  - ### getAgeLimitStatus

    public AgeLimitStatus getAgeLimitStatus(int ageLimit)
    Calculates whether the document owner is older than the given `ageLimit` in years or not. Status is calculated by using the date of birth and the current time on the device.
    Parameters:
      `ageLimit` - age limit in years
    Returns:
      age limit status for the document owner:
      - `AgeLimitStatus.OverAgeLimit`: age is greater than or equal to the given age limit
      - `AgeLimitStatus.BelowAgeLimit`: age is less than the given age limit
      - `AgeLimitStatus.NotAvailable`: date of birth is unknown

  - ### isExpired

    public boolean isExpired()
    Checks whether the document has expired or not by comparing the current time on the device with the date of expiry.
    Returns:
      `true` if the document has expired, `false` in following cases:
      - document does not expire (date of expiry is permanent)
      - date of expiry has passed
      - date of expiry is unknown and it is not permanent

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    Returns:
      string version of this result

  - ### serializeToByteArray

    @Nullable protected byte[] serializeToByteArray()
    Specified by:
      `serializeToByteArray` in class `Entity.Result`

  - ### deserializeFromByteArray

    protected void deserializeFromByteArray(@NonNull byte[] arr)
    Specified by:
      `deserializeFromByteArray` in class `Entity.Result`

  - ### clone

    public BlinkIdMultiSideRecognizer.Result clone()
    Description copied from class: `Entity.Result`
    Create a copy of the result. This is required in order to retain the result even after owning entity has mutated it.
    Specified by:
      `clone` in class `Recognizer.Result`
    Returns:
      a copy of the result

  - ### terminateNative

    protected void terminateNative(long nativeContext)
    Specified by:
      `terminateNative` in class `Entity.Result`